/* 
 * Copyright (c) 2009, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * */
var wizardVersion = "0.0.1";

var INIT_MESSAGE = "XDM GenAlg Wizard v" + wizardVersion 
    + "\nTexas Instruments";

var INSTRUCTIONS0 = 
'Instructions for GenAlg\n'
+'\n'
+'\n'
+'Module: The name of the algorithm module\n\n'
+'Vendor: The name of the algorithm vendor\n\n'
+'Interface: Has the form I<Vendor>.  This field should be automatically '
+'filled after naming the module.\n\n'
+'Base Interface: The ti.xdais.dm interface that is being implemented\n\n'
+'Package Name: Edit this field to specify the algorithm package\n\n'
+'Output Repository: The repository to create the algorithm package in\n\n'
+"C6000 TI 'cgtools' Dir: The location of C6000 TI CodeGen tools";


var SAVE_OPEN_INSTRUCTIONS = "To save the information into into the GUI, use "
    + "File->Save. Specify the output location and file name. You may then "
    + "re-use this file in the GUI via File->Open or on the command line with "
    + "the -f=/yourfilename option (see xs ti.xdais.wizards.genalg --help "
    + "for more information on command line usage.)";

var ABOUT_MESSAGE = INIT_MESSAGE;

/* abridged instructions to show at the top of each panel */
var BANNER0 =  "Specify Module, Vendor, Interface and Package Name." +
" Select a Base Interface and Target. Specify a valid Output" +
" Repository and C6000 TI 'cgtools' Dir." +
" See Help for detailed information about field input. ";

var targetList = ['ti.targets.C64P', 'ti.targets.C674'];

var ENTER_CGTOOLS = '<C6000 TI codegen tools directory>';
var ENTER_OUTREPO = '<Algorithm package destination repository>';

var TEMPLATES_DIR_HELP = 
'The Templates directory contains subdirectories of XDC templates. ' 
+ 'Each template generates an XDM algorithm package that '
+ 'implements an XDM interface. The name of each subdirectory is '
+ "the name of the XDM interface, and is displayed in the 'Base Interface' "
+ 'combo box. For more information on XDC templates, see: '
+ 'http://rtsc.eclipse.org/docs-tip/XDCscript_Language_Reference#Templates';
/*
 *  @(#) ti.xdais.wizards.genalg; 1, 0, 0, 0,22; 10-15-2009 13:26:24; /db/wtree/library/trees/dais/dais-q07x/src/
 */

