/* 
 * Copyright (c) 2009, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */

#include <xdc/std.h>

#ifndef _ACPY3_CPUCOPY_

#ifdef xdc_target__isaCompatible_64P
#include "acpy3_qdma.h"
#else
#include "acpy3_qdma_arm.h"
#endif


/*
#define ACPY3_NULLPARAM 0x0
#define ACPY3_EDMA3ADDR 0x0
#define ACPY3_PARAMBASEADDR 0x0
*/

/*
 *  ======== ACPY3_QDMA ========
 *  This static initialization defines the default parameters used to
 *  initialize the ACPY3 library with the DMAN3 configuration settings.
 */

extern UInt32 * _DMAN3_edma3Addr;
extern UInt32 _DMAN3_nullPaRam;
#ifdef xdc_target__isaCompatible_64P

__FAR__ ACPY3_QDMA_Config ACPY3_QDMA;
__FAR__ volatile ACPY3_QDMA_REG_Str *ACPY3_EDMA3BASE;
#else

ACPY3_QDMA_Config ACPY3_QDMA;
volatile ACPY3_QDMA_REG_Str *ACPY3_EDMA3BASE;
volatile UInt32 * ACPY3_QDMAPARAMBASE;
extern UInt32 * _DMAN3_paRamAddr;

#endif

Void _ACPY3_qdmaInit() 
{
/*     ACPY3_QDMA.nullPaRamIndex = ACPY3_NULLPARAM; */
/*     ACPY3_EDMA3BASE = (ACPY3_QDMA_REG_Str *)ACPY3_EDMA3ADDR;*/
    ACPY3_QDMA.nullPaRamIndex = _DMAN3_nullPaRam; 
    ACPY3_EDMA3BASE = (ACPY3_QDMA_REG_Str *)_DMAN3_edma3Addr;
#ifndef xdc_target__isaCompatible_64P
/*     ACPY3_QDMAPARAMBASE = (UInt32 *)ACPY3_PARAMBASEADDR;*/
    ACPY3_QDMAPARAMBASE = (UInt32 *)_DMAN3_paRamAddr;
#endif
}

#endif /* _ACPY3_CPUCOPY_ */
/*
 *  @(#) ti.sdo.fc.acpy3; 1, 0, 4,279; 11-8-2009 20:57:20; /db/atree/library/trees/fc/fc-l04x/src/
 */

